Bug 227537 - Xorg slows down continously to be unusable
Xorg slows down continously to be unusable
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-06 14:13 EST by Dr. Tilmann Bubeck
Modified: 2009-01-09 02:04 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:04:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf showing configuration which resulted in slowdown (697 bytes, text/plain)
2007-05-15 00:44 EDT, Dr. Tilmann Bubeck
no flags Details
Xorg.0.log during slow down (75.88 KB, application/octet-stream)
2007-05-15 00:47 EDT, Dr. Tilmann Bubeck
no flags Details
gprof profile data collected during slow down (982.62 KB, application/octet-stream)
2007-05-15 00:50 EDT, Dr. Tilmann Bubeck
no flags Details
profile data parsed by "gprof" program (1017.61 KB, text/plain)
2007-05-15 00:51 EDT, Dr. Tilmann Bubeck
no flags Details

  None (edit)
Description Dr. Tilmann Bubeck 2007-02-06 14:13:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.9) Gecko/20061219 Fedora/1.5.0.9-1.fc6 Firefox/1.5.0.9 pango-text

Description of problem:
I start using X (KDE) with normal speed. Working for 10-15 minutes slows down every X operation by a factor of ~10. Typing is slow, Scrolling is slow, changing focus... Everything. Another 10-15 minutes later, the system is even slower until is it not usable anymore.

Restarting X fixes the problem for another 10-15 minutes.

"top" shows the Xorg process by 100% but it calms down when idle. The same system runs perfectly with Knoppix 5.1.1. It also worked with FC4/FC5.

I reinstalled to a fresh FC6 (without updates) and had the same behaviour. I updates with "yum update" and still the same problem. I'm normally using xinerama on two graphics card. However, the same problem arises when using only a single card without xinerama. It arises on both cards.


Please find attached my configurations

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.1.1-47.4.fc6

How reproducible:
Always


Steps to Reproduce:
1. Start X 
2. work 10-15 minutes
3. 

Actual Results:
Xorg is slow.

Expected Results:
It is fast :-)

Additional info:
lspci
00:00.0 Host bridge: nVidia Corporation nForce2 AGP (different version?) (rev c1)
00:00.1 RAM memory: nVidia Corporation nForce2 Memory Controller 1 (rev c1)
00:00.2 RAM memory: nVidia Corporation nForce2 Memory Controller 4 (rev c1)
00:00.3 RAM memory: nVidia Corporation nForce2 Memory Controller 3 (rev c1)
00:00.4 RAM memory: nVidia Corporation nForce2 Memory Controller 2 (rev c1)
00:00.5 RAM memory: nVidia Corporation nForce2 Memory Controller 5 (rev c1)
00:01.0 ISA bridge: nVidia Corporation nForce2 ISA Bridge (rev a4)
00:01.1 SMBus: nVidia Corporation nForce2 SMBus (MCP) (rev a2)
00:02.0 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
00:02.1 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
00:02.2 USB Controller: nVidia Corporation nForce2 USB Controller (rev a4)
00:04.0 Ethernet controller: nVidia Corporation nForce2 Ethernet Controller (rev a1)
00:05.0 Multimedia audio controller: nVidia Corporation nForce Audio Processing Unit (rev a2)
00:06.0 Multimedia audio controller: nVidia Corporation nForce2 AC97 Audio Controler (MCP) (rev a1)
00:08.0 PCI bridge: nVidia Corporation nForce2 External PCI Bridge (rev a3)
00:09.0 IDE interface: nVidia Corporation nForce2 IDE (rev a2)
00:0c.0 PCI bridge: nVidia Corporation nForce2 PCI Bridge (rev a3)
00:0d.0 FireWire (IEEE 1394): nVidia Corporation nForce2 FireWire (IEEE 1394) Controller (rev a3)
00:1e.0 PCI bridge: nVidia Corporation nForce2 AGP (rev c1)
01:08.0 VGA compatible controller: ATI Technologies Inc RV280 [Radeon 9200 PRO] (rev 01)
01:08.1 Display controller: ATI Technologies Inc RV280 [Radeon 9200 PRO] (Secondary) (rev 01)
01:0a.0 SCSI storage controller: LSI Logic / Symbios Logic 53c895 (rev 01)
01:0b.0 RAID bus controller: Silicon Image, Inc. SiI 3112 [SATALink/SATARaid] Serial ATA Controller (rev 02)
02:01.0 Ethernet controller: 3Com Corporation 3C920B-EMB Integrated Fast Ethernet Controller [Tornado] (rev 40)
03:00.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5200] (rev a1)

lspci -v -n
00:00.0 0600: 10de:01e0 (rev c1)
	Subsystem: 1043:80ac
	Flags: bus master, 66MHz, fast devsel, latency 0
	Memory at e0000000 (32-bit, prefetchable) [size=64M]
	Capabilities: [40] AGP version 3.0
	Capabilities: [60] HyperTransport: Host or Secondary Interface

00:00.1 0500: 10de:01eb (rev c1)
	Subsystem: 1043:80ac
	Flags: 66MHz, fast devsel

00:00.2 0500: 10de:01ee (rev c1)
	Subsystem: 1043:80ac
	Flags: 66MHz, fast devsel

00:00.3 0500: 10de:01ed (rev c1)
	Subsystem: 1043:80ac
	Flags: 66MHz, fast devsel

00:00.4 0500: 10de:01ec (rev c1)
	Subsystem: 1043:80ac
	Flags: 66MHz, fast devsel

00:00.5 0500: 10de:01ef (rev c1)
	Subsystem: 1043:80ac
	Flags: 66MHz, fast devsel

00:01.0 0601: 10de:0060 (rev a4)
	Subsystem: 1043:80ad
	Flags: bus master, 66MHz, fast devsel, latency 0
	Capabilities: [48] HyperTransport: Slave or Primary Interface

00:01.1 0c05: 10de:0064 (rev a2)
	Subsystem: 1043:0c11
	Flags: 66MHz, fast devsel, IRQ 11
	I/O ports at e000 [size=32]
	Capabilities: [44] Power Management version 2

00:02.0 0c03: 10de:0067 (rev a4) (prog-if 10)
	Subsystem: 1043:0c11
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 16
	Memory at ea086000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [44] Power Management version 2

00:02.1 0c03: 10de:0067 (rev a4) (prog-if 10)
	Subsystem: 1043:0c11
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 17
	Memory at ea081000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [44] Power Management version 2

00:02.2 0c03: 10de:0068 (rev a4) (prog-if 20)
	Subsystem: 1043:0c11
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 18
	Memory at ea082000 (32-bit, non-prefetchable) [size=256]
	Capabilities: [44] Debug port
	Capabilities: [80] Power Management version 2

00:04.0 0200: 10de:0066 (rev a1)
	Subsystem: 1043:80a7
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 16
	Memory at ea083000 (32-bit, non-prefetchable) [size=4K]
	I/O ports at e400 [size=8]
	Capabilities: [44] Power Management version 2

00:05.0 0401: 10de:006b (rev a2)
	Subsystem: 1043:0c11
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 11
	Memory at ea000000 (32-bit, non-prefetchable) [size=512K]
	Capabilities: [44] Power Management version 2

00:06.0 0401: 10de:006a (rev a1)
	Subsystem: 1043:8095
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 18
	I/O ports at d000 [size=256]
	I/O ports at d400 [size=128]
	Memory at ea087000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: [44] Power Management version 2

00:08.0 0604: 10de:006c (rev a3)
	Flags: bus master, 66MHz, fast devsel, latency 0
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=32
	I/O behind bridge: 0000a000-0000bfff
	Memory behind bridge: e8000000-e9ffffff
	Prefetchable memory behind bridge: d0000000-dfffffff

00:09.0 0101: 10de:0065 (rev a2) (prog-if 8a)
	Subsystem: 1043:0c11
	Flags: bus master, 66MHz, fast devsel, latency 0
	I/O ports at f000 [size=16]
	Capabilities: [44] Power Management version 2

00:0c.0 0604: 10de:006d (rev a3)
	Flags: bus master, 66MHz, fast devsel, latency 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=32
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: e4000000-e5ffffff
	Prefetchable memory behind bridge: 50000000-500fffff

00:0d.0 0c00: 10de:006e (rev a3) (prog-if 10)
	Subsystem: 1043:809a
	Flags: bus master, 66MHz, fast devsel, latency 0, IRQ 16
	Memory at ea084000 (32-bit, non-prefetchable) [size=2K]
	Memory at ea085000 (32-bit, non-prefetchable) [size=64]
	Capabilities: [44] Power Management version 2

00:1e.0 0604: 10de:01e8 (rev c1)
	Flags: bus master, 66MHz, medium devsel, latency 32
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=32
	Memory behind bridge: e6000000-e7ffffff
	Prefetchable memory behind bridge: c0000000-cfffffff

01:08.0 0300: 1002:5960 (rev 01)
	Subsystem: 174b:0250
	Flags: bus master, medium devsel, latency 32, IRQ 20
	Memory at d0000000 (32-bit, prefetchable) [size=128M]
	I/O ports at a000 [size=256]
	Memory at e9000000 (32-bit, non-prefetchable) [size=64K]
	[virtual] Expansion ROM at e8080000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 2

01:08.1 0380: 1002:5940 (rev 01)
	Subsystem: 174b:0251
	Flags: medium devsel
	Memory at d8000000 (32-bit, prefetchable) [disabled] [size=128M]
	Memory at e9010000 (32-bit, non-prefetchable) [disabled] [size=64K]
	Capabilities: [50] Power Management version 2

01:0a.0 0100: 1000:000c (rev 01)
	Subsystem: 1de1:3907
	Flags: bus master, medium devsel, latency 32, IRQ 19
	I/O ports at a400 [size=256]
	Memory at e9020000 (32-bit, non-prefetchable) [size=256]
	Memory at e9021000 (32-bit, non-prefetchable) [size=4K]
	[virtual] Expansion ROM at e80a0000 [disabled] [size=64K]

01:0b.0 0104: 1095:3112 (rev 02)
	Subsystem: 1095:6112
	Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 20
	I/O ports at a800 [size=8]
	I/O ports at ac00 [size=4]
	I/O ports at b000 [size=8]
	I/O ports at b400 [size=4]
	I/O ports at b800 [size=16]
	Memory at e9022000 (32-bit, non-prefetchable) [size=512]
	[virtual] Expansion ROM at e8000000 [disabled] [size=512K]
	Capabilities: [60] Power Management version 2

02:01.0 0200: 10b7:9201 (rev 40)
	Subsystem: 1043:80ab
	Flags: bus master, medium devsel, latency 32, IRQ 17
	I/O ports at c000 [size=128]
	Memory at e5000000 (32-bit, non-prefetchable) [size=128]
	[virtual] Expansion ROM at 50000000 [disabled] [size=128K]
	Capabilities: [dc] Power Management version 2

03:00.0 0300: 10de:0322 (rev a1)
	Flags: bus master, 66MHz, medium devsel, latency 32, IRQ 11
	Memory at e6000000 (32-bit, non-prefetchable) [size=16M]
	Memory at c0000000 (32-bit, prefetchable) [size=256M]
	Expansion ROM at e7000000 [disabled] [size=128K]
	Capabilities: [60] Power Management version 2
	Capabilities: [44] AGP version 3.0

[root@sam bubeck]# cat /proc/interrupts 
           CPU0       
  0:     904699   IO-APIC-edge      timer
  1:       2816   IO-APIC-edge      i8042
  6:          5   IO-APIC-edge      floppy
  7:          0   IO-APIC-edge      parport0
  8:          1   IO-APIC-edge      rtc
  9:          0   IO-APIC-fasteoi   acpi
 10:          0   IO-APIC-edge      MPU401 UART
 12:      20757   IO-APIC-edge      i8042
 14:      12146   IO-APIC-edge      ide0
 15:       7335   IO-APIC-edge      ide1
 16:      52193   IO-APIC-fasteoi   ohci_hcd:usb1, ohci1394
 17:      16378   IO-APIC-fasteoi   ohci_hcd:usb2, eth0
 18:       4996   IO-APIC-fasteoi   ehci_hcd:usb3, NVidia nForce2
 19:       3435   IO-APIC-fasteoi   sym53c8xx
 20:       4037   IO-APIC-fasteoi   libata
NMI:          0 
LOC:     898763 
ERR:          0
MIS:          0
Comment 1 Matěj Cepl 2007-02-06 17:41:58 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Dr. Tilmann Bubeck 2007-05-15 00:44:32 EDT
Created attachment 154708 [details]
xorg.conf showing configuration which resulted in slowdown

This xorg.conf was used with which the slowdown happened. There is a second
graphics adapter (nvidia) inside the computer. However, to reduce complexity
this adapter (and also xinerama) was not used. The problem arises with
xinerama, too.
Comment 3 Dr. Tilmann Bubeck 2007-05-15 00:47:17 EDT
Created attachment 154709 [details]
Xorg.0.log during slow down

This is the log file during the slow down.
Comment 4 Dr. Tilmann Bubeck 2007-05-15 00:50:01 EDT
Created attachment 154710 [details]
gprof profile data collected during slow down

I built a new Xorg binary with profiling support turned on (-pg). This is the
profile data in bindary form collected during slow down. The next attachment
containt the plain text result parsed out of this binary.
Comment 5 Dr. Tilmann Bubeck 2007-05-15 00:51:22 EDT
Created attachment 154711 [details]
profile data parsed by "gprof" program

This is the clear text output from running "gprof /usr/bin/Xorg" against the
binary data attached before.
Comment 6 Dr. Tilmann Bubeck 2007-05-15 00:54:43 EDT
I did a fresh install of Fedora 7 Test 4 to make sure, that the bug is still
there. Yes, it ist. I reconfigured X from scratch (by deleting
/etc/X11/xorg.conf) but still the bug is there.

I then recompiled Xorg from the current SRPMS and added "-pg" to collect profile
data. This data is attached.

Additional tests/compiles are always possible.
Comment 7 Matěj Cepl 2007-12-10 04:23:24 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 8 Dr. Tilmann Bubeck 2007-12-10 04:29:13 EST
Yes, this bug is still reproducible with FC6, FC7 and also FC8. I installed 
all distributions and I was always suffering from this bug.

However, I was able to get a usable installation by using the kmod-nv driver 
from livna on my fc8.
Comment 9 Lubomir Kundrak 2007-12-10 04:46:43 EST
As the second adapter with nvidia driver worked, this is most likely an ati
driver bug. Reassigning to xorg-x11-drv-ati. Have you tried fglrx driver with
the adapter?
Comment 10 Dr. Tilmann Bubeck 2007-12-10 05:55:49 EST
It is not an ATI problem: In order to solve the bug I changed the hardware very
often. I startet with an ATI/NVidia combination and suffered from the slowdown.
I then changed to ATI/ATI and again a slowdown. I now use NVidia/NVidia and
again the slowdown.

However, installaing kmod-nv for both NVidia cards solved the slowdown on FC8.
Comment 11 Lubomir Kundrak 2007-12-10 06:31:26 EST
TIll: I'm sorry for the noise then -- assigning back.
Comment 12 Bug Zapper 2008-11-26 02:10:26 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-01-09 02:04:12 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.